Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 55)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 56)
@@ -21,5 +21,5 @@
 
 #D-#==================================================
-#D-LibIGCM_sys for Rhodes
+#D-LibIGCM_sys for Ulam
 #D-#==================================================
 #D-
@@ -86,7 +86,11 @@
 #====================================================
 # Source Ferret
-. /home/rech/psl/rpsl655/.atlas_env_ulam_bash
-
+source /home/rech/psl/rpsl655/.atlas_env_ulam_bash
+
+#====================================================
+# Source tools
 module load netcdf
+module load nco
+module load cdo
 
 #====================================================
@@ -454,5 +458,5 @@
 	echo "IGCM_sys_QsubPost :" $@
     fi
-    /usr/local/bin/qsub -x -o ${POST_DIR}/$1.${PeriodDateEnd}.out ${libIGCM}/$1.job
+    llsubmit -o ${POST_DIR}/$1.${PeriodDateEnd}.out ${libIGCM}/$1.job
     if [ $? -gt 0 ] ; then
 	echo "IGCM_sys_QsubPost : erreur."
@@ -1010,5 +1014,5 @@
 	echo "IGCM_sys_ncap :" $@
     fi
-    /usr/local/bin/ncap $@
+    /usr/local/pub/nco/3.9.6/bin/ncap $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncap : erreur ${@}."
@@ -1019,5 +1023,5 @@
 }
 
-ncatted=/usr/local/bin/ncatted
+ncatted=/usr/local/pub/nco/3.9.6/bin/ncatted
 # Problem with ksh and string passed in this function to ncatted !
 # function IGCM_sys_ncatted {
@@ -1026,5 +1030,5 @@
 # 	echo "IGCM_sys_ncatted :" $@
 #     fi
-#     /usr/local/bin/ncatted $@
+#     /usr/local/pub/nco/3.9.6/bin/ncatted $@
 #     if [ $? -gt 0 ] ; then
 #        echo "IGCM_sys_ncatted : erreur ${@}."
@@ -1040,5 +1044,5 @@
 	echo "IGCM_sys_ncbo :" $@
     fi
-    /usr/local/bin/ncbo $@
+    /usr/local/pub/nco/3.9.6/bin/ncbo $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncbo : erreur ${@}."
@@ -1054,5 +1058,5 @@
 	echo "IGCM_sys_ncdiff :" $@
     fi
-    /usr/local/bin/ncdiff $@
+    /usr/local/pub/nco/3.9.6/bin/ncdiff $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncdiff : erreur ${@}."
@@ -1068,5 +1072,5 @@
 	echo "IGCM_sys_ncea :" $@
     fi
-    /usr/local/bin/ncea $@
+    /usr/local/pub/nco/3.9.6/bin/ncea $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncea : erreur ${@}."
@@ -1082,5 +1086,5 @@
 	echo "IGCM_sys_ncecat :" $@
     fi
-    /usr/local/bin/ncecat $@
+    /usr/local/pub/nco/3.9.6/bin/ncecat $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncecat : erreur ${@}."
@@ -1096,5 +1100,5 @@
 	echo "IGCM_sys_ncflint :" $@
     fi
-    /usr/local/bin/ncflint $@
+    /usr/local/pub/nco/3.9.6/bin/ncflint $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncflint : erreur ${@}."
@@ -1110,5 +1114,5 @@
 	echo "IGCM_sys_ncks :" $@
     fi
-    /usr/local/bin/ncks $@
+    /usr/local/pub/nco/3.9.6/bin/ncks $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncks : erreur ${@}."
@@ -1124,5 +1128,5 @@
 	echo "IGCM_sys_ncpdq :" $@
     fi
-    /usr/local/bin/ncpdq $@
+    /usr/local/pub/nco/3.9.6/bin/ncpdq $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncpdq : erreur ${@}."
@@ -1138,5 +1142,5 @@
 	echo "IGCM_sys_ncra :" $@
     fi
-    /usr/local/bin/ncra $@
+    /usr/local/pub/nco/3.9.6/bin/ncra $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncra : erreur ${@}."
@@ -1152,5 +1156,5 @@
 	echo "IGCM_sys_ncrcat :" $@
     fi
-    /usr/local/bin/ncrcat $@
+    /usr/local/pub/nco/3.9.6/bin/ncrcat $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncrcat : erreur ${@}."
@@ -1166,5 +1170,5 @@
 	echo "IGCM_sys_ncrename :" $@
     fi
-    /usr/local/bin/ncrename $@
+    /usr/local/pub/nco/3.9.6/bin/ncrename $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncrename : erreur ${@}."
@@ -1180,5 +1184,5 @@
 	echo "IGCM_sys_ncwa :" $@
     fi
-    /usr/local/bin/ncwa $@
+    /usr/local/pub/nco/3.9.6/bin/ncwa $@
     if [ $? -gt 0 ] ; then
        echo "IGCM_sys_ncwa : erreur ${@}."