Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 57)
+++ /trunk/libIGCM/AA_additionnal	(revision 58)
@@ -11,10 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r ATL_ADD             # Nom du job
-#-Q- sx8brodie #QSUB -lT 2:00:00            # limite en temps total
-#-Q- sx8brodie #QSUB -eo                    # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=2
-#-Q- sx8brodie #QSUB -s /bin/ksh            # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 57)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 58)
@@ -11,10 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r ATL_LMDZ            # Nom du job
-#-Q- sx8brodie #QSUB -lT 2:00:00            # limite en temps total
-#-Q- sx8brodie #QSUB -eo                    # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=2
-#-Q- sx8brodie #QSUB -s /bin/ksh            # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_atlas_LMDZOR
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZOR	(revision 57)
+++ /trunk/libIGCM/AA_atlas_LMDZOR	(revision 58)
@@ -11,10 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r ATL_LMDO             # Nom du job
-#-Q- sx8brodie #QSUB -lT 2:00:00             # limite en temps total
-#-Q- sx8brodie #QSUB -eo                     # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=4
-#-Q- sx8brodie #QSUB -s /bin/ksh             # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 57)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 58)
@@ -11,10 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r ATL_OPA              # Nom du job
-#-Q- sx8brodie #QSUB -lT 3:00:00             # limite en temps total
-#-Q- sx8brodie #QSUB -eo                     # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=2
-#-Q- sx8brodie #QSUB -s /bin/ksh             # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 57)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 58)
@@ -11,10 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r ATL_ORCH             # Nom du job
-#-Q- sx8brodie #QSUB -lT 01:00:00            # limite en temps total
-#-Q- sx8brodie #QSUB -eo                     # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=4
-#-Q- sx8brodie #QSUB -s /bin/ksh             # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 57)
+++ /trunk/libIGCM/AA_create_se	(revision 58)
@@ -11,12 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r SE                   # Nom du job
-#-Q- sx8brodie #QSUB -lT 1:00:00             # limite en temps total
-#-Q- sx8brodie #QSUB -lt 1:00:00             # limite en temps par process
-#-Q- sx8brodie #QSUB -lM 1Gb
-#-Q- sx8brodie #QSUB -eo                     # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=4
-#-Q- sx8brodie #QSUB -s /bin/ksh             # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 57)
+++ /trunk/libIGCM/AA_create_ts	(revision 58)
@@ -11,12 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r TS                   # Nom du job
-#-Q- sx8brodie #QSUB -lT 1:00:00             # limite en temps total
-#-Q- sx8brodie #QSUB -lt 1:00:00             # limite en temps par process
-#-Q- sx8brodie #QSUB -lM 1Gb  
-#-Q- sx8brodie #QSUB -eo                     # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=4
-#-Q- sx8brodie #QSUB -s /bin/ksh             # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 57)
+++ /trunk/libIGCM/AA_monitoring	(revision 58)
@@ -11,10 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r MONITORING           # Nom du job
-#-Q- sx8brodie #QSUB -lT 1:00:00             # limite en temps total
-#-Q- sx8brodie #QSUB -eo                     # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=4
-#-Q- sx8brodie #QSUB -s /bin/ksh             # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/AA_rebuild
===================================================================
--- /trunk/libIGCM/AA_rebuild	(revision 57)
+++ /trunk/libIGCM/AA_rebuild	(revision 58)
@@ -11,12 +11,17 @@
 #-Q- sx8brodie ## SX8BRODIE   IDRIS ##
 #-Q- sx8brodie #######################
-#-Q- sx8brodie #QSUB -r REBUILD              # Nom du job
-#-Q- sx8brodie #QSUB -lT 4:00:00             # limite en temps total
-#-Q- sx8brodie #QSUB -lt 4:00:00             # limite en temps par process
-#-Q- sx8brodie #QSUB -lM 1Gb
-#-Q- sx8brodie #QSUB -eo                     # rassemble standard error et output
-#-Q- sx8brodie #QSUB -J m
-#-Q- sx8brodie #QSUB -l mpp_p=4
-#-Q- sx8brodie #QSUB -s /bin/ksh             # shell du job
+#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # Nom du travail LoadLeveler
+#-Q- sx8brodie # @ job_name   = Sortie   
+#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
+#-Q- sx8brodie # Fichier de sortie d'erreur du travail
+#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
+#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
+#-Q- sx8brodie # @ notification = error
+#-Q- sx8brodie # @ environment  = COPY_ALL
+#-Q- sx8brodie # @ queue
+#-Q- sx8brodie #!/bin/ksh
 #-Q- sx8mercure #!/bin/ksh
 #-Q- sx8mercure ######################
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 57)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 58)
@@ -110,5 +110,5 @@
 #====================================================
 #- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${QSUB_WORKDIR}}
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${LOADL_STEP_INITDIR}}
 
 #====================================================