Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 98)
@@ -627,5 +627,4 @@
 
 	IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration PeriodState "OnQueue"
-	typeset -x DEBUG_debug=false
 
         # Name of next Ksh Script output :
Index: /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 98)
@@ -27,5 +27,5 @@
 # DEBUG_debug
 # Add low level verbosity
-typeset DEBUG_debug=${DEBUG_debug:=true}
+typeset DEBUG_debug=${DEBUG_debug:=false}
 
 if ( $DEBUG_debug ) ; then
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 98)
@@ -145,4 +145,5 @@
     ssh ${HOST} /bin/ksh  <<-EOF
     export libIGCM=${libIGCM}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 98)
@@ -163,4 +163,5 @@
     ssh ${HOST} /bin/ksh  <<-EOF
     export libIGCM=${libIGCM}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 98)
@@ -148,4 +148,5 @@
     ssh ${HOST} /bin/ksh  <<-EOF
     export libIGCM=${libIGCM}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 98)
@@ -154,4 +154,5 @@
     /bin/ksh <<-EOF
     export libIGCM=${libIGCM}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 98)
@@ -148,4 +148,5 @@
     ssh ${HOST} /bin/ksh  <<-EOF
     export libIGCM=${libIGCM}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 98)
@@ -166,4 +166,5 @@
     /bin/ksh <<-EOF
     export libIGCM=${libIGCM}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_rhodes.ksh	(revision 98)
@@ -140,4 +140,5 @@
     rsh brodie exec /bin/ksh <<-EOF
     export libIGCM=${libIGCM_SX}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM_SX}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM_SX}/libIGCM_card/libIGCM_card.ksh
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 97)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 98)
@@ -148,4 +148,5 @@
     rsh ${MASTER} exec /bin/ksh <<-EOF
     export libIGCM=${libIGCM_SX}
+    export DEBUG_debug=${DEBUG_debug}
     . ${libIGCM_SX}/libIGCM_debug/libIGCM_debug.ksh
     . ${libIGCM_SX}/libIGCM_card/libIGCM_card.ksh