Index: trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 108)
+++ trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 109)
@@ -221,5 +221,5 @@
 	case ${config_UserChoices_PeriodLength} in
 	    *Y|*y)
-		PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | awk -F '[yY]' '{print $1}' ) 
+		PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[yY]' '{print $1}' ) 
 	 	IGCM_debug_Print 1 "Number of years for PeriodLength : ${PeriodLengthInYears}"
 	 	PeriodLengthInDays=0
@@ -231,5 +231,5 @@
 	 	;;
 	    *M|*m)
-	 	PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | awk -F '[mM]' '{print $1}' ) 
+	 	PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[mM]' '{print $1}' ) 
 	 	IGCM_debug_Print 1 "Number of months for PeriodLength : ${PeriodLengthInMonths}"
 	 	typeset year1 
@@ -247,5 +247,5 @@
  	        ;;
 	    *D|*d)  
-	        PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | awk -F '[dD]' '{print $1}' ) ;;
+	        PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[dD]' '{print $1}' ) ;;
 	    *) 
 		IGCM_debug_Exit "IGCM_config_PeriodStart " ${config_UserChoices_PeriodLength} " invalid period length : choose in *Y, *M, *D."
@@ -317,5 +317,5 @@
 	case ${config_UserChoices_PeriodLength} in
 	    *Y|*y)
-		PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | awk -F '[yY]' '{print $1}' ) 
+		PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[yY]' '{print $1}' ) 
 	 	IGCM_debug_Print 1 "Number of years for PeriodLength : ${PeriodLengthInYears}"
 	 	PeriodLengthInDays=0
@@ -327,5 +327,5 @@
 	 	;;
 	    *M|*m)
-	 	PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | awk -F '[mM]' '{print $1}' ) 
+	 	PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[mM]' '{print $1}' ) 
 	 	IGCM_debug_Print 1 "Number of months for PeriodLength : ${PeriodLengthInMonths}"
 	 	typeset year1 
@@ -343,5 +343,5 @@
  	        ;;
 	    *D|*d)  
-	        PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | awk -F '[dD]' '{print $1}' ) ;;
+	        PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[dD]' '{print $1}' ) ;;
 	    *) 
 		IGCM_debug_Exit "IGCM_config_PeriodStart " ${config_UserChoices_PeriodLength} " invalid period length : choose in *Y, *M, *D."
@@ -495,5 +495,5 @@
 	    # ExeCpuLog variable contents 5 fields
 	    echo "${CumulPeriod} ${PeriodDateBegin} ${PeriodDateEnd} ${ExeCpuLog} ${ExeDate}" |   \
-	     awk '{printf("# %11d | %15s | %15s | %19s | %19s | %15.5f | %15.5f | %15.5f | %s\n", \
+	     gawk '{printf("# %11d | %15s | %15s | %19s | %19s | %15.5f | %15.5f | %15.5f | %s\n", \
                               $1,$2,$3,$4,$5,$6,$7,$8,$9)}' >> ${SUBMIT_DIR}/run.card
 	fi
@@ -526,5 +526,5 @@
     case ${config_UserChoices_PeriodLength} in
 	*Y|*y)
-	    PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | awk -F '[yY]' '{print $1}' ) 
+	    PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[yY]' '{print $1}' ) 
 	    IGCM_debug_Print 1 "Number of years for PeriodLength : ${PeriodLengthInYears}"
 	    PeriodLengthInDays=0
@@ -536,5 +536,5 @@
 	    ;;
 	*M|*m)
-	    PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | awk -F '[mM]' '{print $1}' ) 
+	    PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[mM]' '{print $1}' ) 
 	    IGCM_debug_Print 1 "Number of months for PeriodLength : ${PeriodLengthInMonths}"
 	    typeset year1 
@@ -552,5 +552,5 @@
  	    ;;
 	*D|*d)  
-	    PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | awk -F '[dD]' '{print $1}' ) ;;
+	    PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | gawk -F '[dD]' '{print $1}' ) ;;
     esac
     PeriodDateEnd=$( IGCM_date_AddDaysToGregorianDate ${PeriodDateBegin} $( expr ${PeriodLengthInDays} - 1 ) )
Index: trunk/libIGCM/libIGCM_date/libIGCM_date.ksh
===================================================================
--- trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 108)
+++ trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 109)
@@ -47,5 +47,5 @@
 
     NUM=$(( 10#${1} ))
-    echo $( awk "BEGIN { printf \"%0${dY}d\",${NUM} }" )
+    echo $( gawk "BEGIN { printf \"%0${dY}d\",${NUM} }" )
 
     IGCM_debug_PopStack "IGCM_date_YearDigit"
@@ -58,5 +58,5 @@
 
     NUM=$(( 10#${1} ))
-    echo $( awk "BEGIN { printf \"%0${pY}d\",${NUM} }" )
+    echo $( gawk "BEGIN { printf \"%0${pY}d\",${NUM} }" )
 
     IGCM_debug_PopStack "IGCM_date_GregorianDigit"
@@ -800,8 +800,8 @@
 
 #---------------------
-    whence -v awk > /dev/null 2>&1
+    whence -v gawk > /dev/null 2>&1
     if [ ! $? -eq 0 ] ; then
 	echo "Check libIGCM_date ...........................................[ FAILED ]"
-        echo "--Error--> awk command is not defined"
+        echo "--Error--> gawk command is not defined"
 	IGCM_debug_Exit "IGCM_date_Check"
     fi
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 108)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 109)
@@ -102,5 +102,5 @@
 #====================================================
 #- ARCHIVE
-typeset -r ARCHIVE=$( rsh gaya -n env | grep PWD | awk "-F=" '{print $2}' )
+typeset -r ARCHIVE=$( rsh gaya -n env | grep PWD | gawk "-F=" '{print $2}' )
 
 #====================================================
@@ -110,5 +110,5 @@
 #====================================================
 #- libIGCM_POST
-PATHlibIGCM=$( echo ${libIGCM} | awk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
 typeset -r libIGCM_POST=${HOME}/${PATHlibIGCM}/libIGCM
 
@@ -123,5 +123,5 @@
 #====================================================
 #- OUT_POST 
-typeset -r R_OUT_POST=$( rsh ulam -n echo $WORKDIR | awk "-F=" "{print $2}" )/IGCM_OUT 
+typeset -r R_OUT_POST=$( rsh ulam -n echo $WORKDIR | gawk "-F=" "{print $2}" )/IGCM_OUT 
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 108)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 109)
@@ -116,5 +116,5 @@
 #====================================================
 #- ARCHIVE
-typeset -r ARCHIVE=$( rsh gaya -n env | grep PWD | awk "-F=" '{print $2}' )
+typeset -r ARCHIVE=$( rsh gaya -n env | grep PWD | gawk "-F=" '{print $2}' )
 
 #====================================================
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 108)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 109)
@@ -101,5 +101,5 @@
 #====================================================
 #- ARCHIVE
-typeset -r ARCHIVE=$( rsh gaya -n env | grep PWD | awk "-F=" '{print $2}' )
+typeset -r ARCHIVE=$( rsh gaya -n env | grep PWD | gawk "-F=" '{print $2}' )
 
 #====================================================
@@ -109,5 +109,5 @@
 #====================================================
 #- libIGCM_POST
-PATHlibIGCM=$( echo ${libIGCM} | awk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
 typeset -r HOME_POST=$(rsh ulam -n pwd)
 typeset -r libIGCM_POST=${HOME_POST}/${PATHlibIGCM}/libIGCM