Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 173)
@@ -713,14 +713,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_calculo.ksh	(revision 173)
@@ -667,14 +667,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
     
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 173)
@@ -693,14 +693,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_claude.ksh	(revision 173)
@@ -722,14 +722,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 173)
@@ -708,14 +708,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
     
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 173)
@@ -684,14 +684,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercureTX.ksh	(revision 173)
@@ -652,14 +652,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 173)
@@ -715,14 +715,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 173)
@@ -703,14 +703,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
     
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 173)
@@ -744,14 +744,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 173)
@@ -654,15 +654,20 @@
 	echo "IGCM_sys_Mv :" $@
     fi
-
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
- 	echo "IGCM_sys_Mv : error in mv."
- 	cat out_rsync
- 	IGCM_debug_Exit "IGCM_sys_Mv"
+    
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 170)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 173)
@@ -716,14 +716,19 @@
     fi
 
-    typeset RET
-
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
-    RET=$?
-
-    if [ ${RET} -gt 0 ] ; then
-	echo "IGCM_sys_Mv : error in mv."
-	cat out_rsync
-	IGCM_debug_Exit "IGCM_sys_Mv"
+    if [ $DRYRUN = 0 ]; then
+
+        typeset RET
+            
+        echo mv $@ > out_rsync 2>&1
+        \mv $@ >> out_rsync 2>&1
+        RET=$?
+    
+        if [ ${RET} -gt 0 ] ; then
+            echo "IGCM_sys_Mv : error in mv."
+            cat out_rsync
+            IGCM_debug_Exit "IGCM_sys_Mv"
+        fi
+    else
+        ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
     fi
 