Index: tags/libIGCM_v1_3/AA_create_ts
===================================================================
--- tags/libIGCM_v1_3/AA_create_ts	(revision 140)
+++ tags/libIGCM_v1_3/AA_create_ts	(revision 174)
@@ -22,5 +22,5 @@
 #-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- sx8brodie # @ notification = error
-#-Q- sx8brodie # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_SRF ; $MASTER
+#-Q- sx8brodie # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_SRF ; $RESOL_BIOS ; $MASTER
 #-Q- aix6 #!/bin/ksh
 #-Q- aix6 #######################
@@ -37,5 +37,5 @@
 #-Q- aix6 # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- aix6 # @ notification = error
-#-Q- aix6 # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_SRF ; $MASTER
+#-Q- aix6 # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_SRF ; $RESOL_BIOS ; $MASTER
 #-Q- aix6 # @ queue
 #-Q- sx8brodie # @ queue
@@ -110,4 +110,8 @@
 #D- Default : value from surface driver if any
 RESOL_SRF=${RESOL_SRF:=ALL}
+
+#D- Flag to determine surface resolution
+#D- Default : value from surface driver if any
+RESOL_BIOS=${RESOL_BIOS:=ALL}
 
 ########################################################################
@@ -761,7 +765,7 @@
 
 export POST_DIR; export SUBMIT_DIR; export libIGCM; export R_INIT; export R_BC; export StandAlone
-export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_SRF
-
-listVarEnv="POST_DIR,SUBMIT_DIR,libIGCM,R_INIT,R_BC,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
+export RESOL_ATM; export RESOL_OCE ; export RESOL_ICE ; export RESOL_SRF ; export RESOL_BIOS
+
+listVarEnv="POST_DIR,SUBMIT_DIR,libIGCM,R_INIT,R_BC,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF,RESOL_BIOS"
 export listVarEnv
 
Index: tags/libIGCM_v1_3/libIGCM_post/libIGCM_post.ksh
===================================================================
--- tags/libIGCM_v1_3/libIGCM_post/libIGCM_post.ksh	(revision 140)
+++ tags/libIGCM_v1_3/libIGCM_post/libIGCM_post.ksh	(revision 174)
@@ -388,5 +388,5 @@
         #
         typeset listVarEnv
-        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
+        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF,RESOL_BIOS"
 
 	if [ ${RebuildFrequency} = true ] ; then
@@ -406,4 +406,5 @@
             echo export RESOL_ICE=${RESOL_ICE}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
             echo export RESOL_SRF=${RESOL_SRF}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_BIOS=${RESOL_BIOS}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	    echo export listVarEnv=${listVarEnv}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	    echo IGCM_sys_MkdirWork ${POST_DIR}        >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -428,4 +429,5 @@
             export RESOL_ICE=${RESOL_ICE}
             export RESOL_SRF=${RESOL_SRF}
+            export RESOL_BIOS=${RESOL_BIOS}
             export listVarEnv=${listVarEnv}
             . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
@@ -464,4 +466,5 @@
             echo export RESOL_ICE=${RESOL_ICE}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
             echo export RESOL_SRF=${RESOL_SRF}         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+            echo export RESOL_BIOS=${RESOL_BIOS}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
             echo export listVarEnv=${listVarEnv}       >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	    echo IGCM_sys_MkdirWork ${POST_DIR}        >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -486,4 +489,5 @@
             export RESOL_ICE=${RESOL_ICE}
             export RESOL_SRF=${RESOL_SRF}
+            export RESOL_BIOS=${RESOL_BIOS}
             export listVarEnv=${listVarEnv}
             . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
@@ -511,5 +515,5 @@
         #
         typeset listVarEnv
-        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,RebuildFromArchive,POST_DIR,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF"
+        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,RebuildFromArchive,POST_DIR,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_SRF,RESOL_BIOS"
         IGCM_sys_RshPost <<-EOF
         export DEBUG_debug=${DEBUG_debug}
@@ -531,4 +535,5 @@
         export RESOL_ICE=${RESOL_ICE}
         export RESOL_SRF=${RESOL_SRF}
+        export RESOL_BIOS=${RESOL_BIOS}
         export listVarEnv=${listVarEnv}
         . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh