Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 205)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 206)
@@ -110,5 +110,10 @@
 IGCM_sys_Get ${R_OUT_ATM}/Analyse/SE/${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc ${RUN_DIR}
 
-atlas -o ${RUN_DIR}/${R_ATLAS}/ATM -l ${FER_ATLAS}/atlas_p_LMDZ3.3_diag1_*.cfg          ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
+# Only LMDZ4 output have Alt variables
+DetectLev=$( ncdump -h ${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc | grep "Alt(Alt)" | wc -l )
+#
+[ ${DetectLev} = 1 ] && LMDZ=LMDZ4 || LMDZ=LMDZ3.3
+#
+atlas -o ${RUN_DIR}/${R_ATLAS}/ATM -l ${FER_ATLAS}/atlas_p_${LMDZ}_diag1_*.cfg ${RUN_DIR}/${config_UserChoices_JobName}_SE_${YEARS}_1M_histmth.nc
 
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 205)
+++ /trunk/libIGCM/AA_create_se	(revision 206)
@@ -87,4 +87,8 @@
 StandAlone=${StandAlone:=true}
 
+#D- Low level debug : to bypass lib test checks and stack construction
+#D- Default : value from AA_job if any
+libIGCM=${libIGCM:=/path/to/your/libIGCM}
+
 #D- Flag to determine atlas job's output directory
 #D- Default : value from libIGCM_post.ksh if any
@@ -98,8 +102,4 @@
 #D- Default : value from AA_job if any
 DEBUG_debug=${DEBUG_debug:=false}
-
-#D- Low level debug : to bypass lib test checks and stack construction
-#D- Default : value from AA_job if any
-libIGCM=${libIGCM:=/path/to/your/libIGCM}
 
 #D- TEMPORARY Flag to determine atmospheric resolution
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 205)
+++ /trunk/libIGCM/AA_create_ts	(revision 206)
@@ -87,7 +87,11 @@
 StandAlone=${StandAlone:=true}
 
-#D- Flag to determine allready produced time series.
+#D- Low level debug : to bypass lib test checks and stack construction
+#D- Default : value from AA_job if any
+libIGCM=${libIGCM:=/path/to/your/libIGCM}
+
+#D- Flag to determine allready produced time series. Empty if you start from the beginning
 #D- Default : Commented. Uncomment for StandAlone case if you want to continue a time series
-#CompletedFlag=
+CompletedFlag=${CompletedFlag:=20001230}
 
 #D- Flag to determine job's output directory
@@ -102,8 +106,4 @@
 #D- Default : value from AA_job if any
 DEBUG_debug=${DEBUG_debug:=false}
-
-#D- Low level debug : to bypass lib test checks and stack construction
-#D- Default : value from AA_job if any
-libIGCM=${libIGCM:=/path/to/your/libIGCM}
 
 #D- TEMPORARY Flag to determine atmospheric resolution
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 205)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 206)
@@ -87,4 +87,21 @@
 StandAlone=${StandAlone:=true}
 
+#D- Low level debug : to bypass lib test checks and stack construction
+#D- Default : value from AA_job if any
+libIGCM=${libIGCM:=/path/to/your/libIGCM}
+
+#D- Directory where files we need to rebuild are store
+#D- Default : value from AA_job if any
+REBUILD_DIR=${REBUILD_DIR:=/path/to/your/TMP/REBUILD/FILES}
+
+#D- How many directory to rebuild we have to consider
+#D- Default : value from AA_job if any
+NbRebuildDir=${NbRebuildDir:=12}
+
+#D- Suffix date we will use to determine which directory to rebuild
+#D- We will rebuild NbRebuildDir before and including PeriodDateBegin
+#D- Default : value from AA_job if any
+PeriodDateBegin=${PeriodDateBegin:=18901201}
+
 #D- Flag to determine atlas job's output directory
 #D- Default : value from libIGCM_post.ksh if any
@@ -98,8 +115,4 @@
 #D- Default : value from AA_job if any
 DEBUG_debug=${DEBUG_debug:=false}
-
-#D- Low level debug : to bypass lib test checks and stack construction
-#D- Default : value from AA_job if any
-libIGCM=${libIGCM:=/path/to/your/libIGCM}
 
 #D- TEMPORARY Flag to determine atmospheric resolution
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 205)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 206)
@@ -88,4 +88,21 @@
 StandAlone=${StandAlone:=true}
 
+#D- Low level debug : to bypass lib test checks and stack construction
+#D- Default : value from AA_job if any
+libIGCM=${libIGCM:=/path/to/your/libIGCM}
+
+#D- Directory where files we need to rebuild are store
+#D- Default : value from AA_job if any
+REBUILD_DIR=${REBUILD_DIR:=/path/to/your/TMP/REBUILD/FILES}
+
+#D- How many directory to rebuild we have to consider
+#D- Default : value from AA_job if any
+NbRebuildDir=${NbRebuildDir:=12}
+
+#D- Suffix date we will use to determine which directory to rebuild
+#D- We will rebuild NbRebuildDir before and including PeriodDateBegin
+#D- Default : value from AA_job if any
+PeriodDateBegin=${PeriodDateBegin:=18901201}
+
 #D- Flag to determine atlas job's output directory
 #D- Default : value from libIGCM_post.ksh if any
@@ -99,8 +116,4 @@
 #D- Default : value from AA_job if any
 DEBUG_debug=${DEBUG_debug:=false}
-
-#D- Low level debug : to bypass lib test checks and stack construction
-#D- Default : value from AA_job if any
-libIGCM=${libIGCM:=/path/to/your/libIGCM}
 
 #D- TEMPORARY Flag to determine atmospheric resolution
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091116_ncks_ncra.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091116_ncks_ncra.ksh	(revision 205)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091116_ncks_ncra.ksh	(revision 206)
@@ -19,6 +19,6 @@
     IGCM_debug_PushStack "IGCM_Patch_ncks_ncra" $@
 
-    export CPL_OkDay=y
-    export CPL_OkMonth=y
+    CPL_OkDay=y
+    CPL_OkMonth=y
 
     PREFIX=TEMPO
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 205)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 206)
@@ -424,5 +424,5 @@
 		    echo export RESOL_SRF=${RESOL_SRF}                >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 		    echo export RESOL_BIOS=${RESOL_BIOS}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		    echo export config_UserChoices_JobName=${config_UserChoices_JobName}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+		    echo export config_UserChoices_JobName=${config_UserChoices_JobName} >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 		    echo export R_SAVE=${R_SAVE}                      >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 		    echo export listVarEnv=${listVarEnv}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -518,5 +518,5 @@
 			echo export RESOL_SRF=${RESOL_SRF}                >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			echo export RESOL_BIOS=${RESOL_BIOS}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-			echo export config_UserChoices_JobName=${config_UserChoices_JobName}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			echo export config_UserChoices_JobName=${config_UserChoices_JobName} >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			echo export R_SAVE=${R_SAVE}                      >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			echo export listVarEnv=${listVarEnv}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -600,5 +600,5 @@
             echo export RESOL_SRF=${RESOL_SRF}                >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
             echo export RESOL_BIOS=${RESOL_BIOS}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-	    echo export config_UserChoices_JobName=${config_UserChoices_JobName}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	    echo export config_UserChoices_JobName=${config_UserChoices_JobName} >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	    echo export R_SAVE=${R_SAVE}                      >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
             echo export listVarEnv=${listVarEnv}              >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh