Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 425)
+++ /trunk/libIGCM/AA_additionnal	(revision 426)
@@ -19,4 +19,5 @@
 #-Q- platine #BSUB -W 1:00              # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 425)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00              # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 425)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00              # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 425)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00              # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 425)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00              # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 425)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00                   # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 425)
+++ /trunk/libIGCM/AA_create_se	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00                   # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 425)
+++ /trunk/libIGCM/AA_create_ts	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00                   # Limite temps
 #-Q- platine #BSUB -q post                   # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 425)
+++ /trunk/libIGCM/AA_job	(revision 426)
@@ -19,4 +19,5 @@
 #-Q- platine #BSUB -n ::JobNumProcTot::             # reservation des processeurs pour le job
 #-Q- platine #BSUB -W 1:00           # Limite temps
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- platine BATCH_NUM_PROC_TOT=$SLURM_NPROCS
 #-Q- titane #!/usr/bin/ksh
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 425)
+++ /trunk/libIGCM/AA_monitoring	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 1:00                   # Limite temps
 #-Q- platine #BSUB -q post              # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 425)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 4:00                   # Limite temps
 #-Q- platine #BSUB -q post                   # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 425)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 426)
@@ -18,4 +18,5 @@
 #-Q- platine #BSUB -W 4:00                   # Limite temps
 #-Q- platine #BSUB -q post                   # Passage en queue post
+#-Q- platine #BSUB -L /bin/ksh
 #-Q- sx8brodie #!/bin/ksh
 #-Q- sx8brodie #######################