Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 435)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 436)
@@ -210,5 +210,5 @@
         export listVarEnv=${listVarEnv}
         IGCM_sys_MkdirWork ${POST_DIR}
-        IGCM_debug_Verif_Exit
+        IGCM_debug_Verif_Exit_Post
 	Script_Post_Output=create_se.${PeriodDateEnd}
         IGCM_sys_QsubPost create_se
Index: /trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- /trunk/libIGCM/AA_TimeSeries_Checker	(revision 435)
+++ /trunk/libIGCM/AA_TimeSeries_Checker	(revision 436)
@@ -407,5 +407,5 @@
 				    export listVarEnv=${listVarEnv}
                                     IGCM_sys_MkdirWork ${POST_DIR}
-                                    IGCM_debug_Verif_Exit
+                                    IGCM_debug_Verif_Exit_Post
 				    Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}.${CompToRead}.${NameToRead}
                                     IGCM_sys_QsubPost create_ts
@@ -469,5 +469,5 @@
 	export listVarEnv=${listVarEnv}
 	IGCM_sys_MkdirWork ${POST_DIR}
-	IGCM_debug_Verif_Exit
+	IGCM_debug_Verif_Exit_Post
 	Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
 	IGCM_sys_QsubPost create_ts
@@ -492,5 +492,5 @@
 	export listVarEnv=${listVarEnv}
 	IGCM_sys_MkdirWork ${POST_DIR}
-	IGCM_debug_Verif_Exit
+	IGCM_debug_Verif_Exit_Post
 	Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
 	IGCM_sys_QsubPost create_ts
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 435)
+++ /trunk/libIGCM/AA_additionnal	(revision 436)
@@ -150,4 +150,9 @@
 IGCM_sys_Cd ${RUN_DIR}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 # --------------------------------------------
 # Insert your commands between III...III lines 
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 435)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 436)
@@ -142,4 +142,9 @@
 IGCM_sys_Cd ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 435)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 436)
@@ -142,4 +142,9 @@
 IGCM_sys_Cd ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 435)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 436)
@@ -151,4 +151,9 @@
 IGCM_sys_Cd ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 435)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 436)
@@ -142,4 +142,9 @@
 IGCM_sys_Cd ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 435)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 436)
@@ -201,4 +201,9 @@
 IGCM_sys_Cd ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 435)
+++ /trunk/libIGCM/AA_create_se	(revision 436)
@@ -208,4 +208,9 @@
 IGCM_sys_Cd ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 435)
+++ /trunk/libIGCM/AA_create_ts	(revision 436)
@@ -228,4 +228,9 @@
 IGCM_sys_Cd ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 435)
+++ /trunk/libIGCM/AA_job	(revision 436)
@@ -273,4 +273,9 @@
 IGCM_sys_Cd ${RUN_DIR}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 #D-
 # ------------------------------------------------------------------
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 435)
+++ /trunk/libIGCM/AA_monitoring	(revision 436)
@@ -199,4 +199,9 @@
 IGCM_sys_Cd ${RUN_DIR}
 
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 if [ ${StandAlone} = true ] ; then
     CARD_DIR=${SUBMIT_DIR}
Index: /trunk/libIGCM/AA_move-and-rename
===================================================================
--- /trunk/libIGCM/AA_move-and-rename	(revision 435)
+++ /trunk/libIGCM/AA_move-and-rename	(revision 436)
@@ -201,4 +201,9 @@
 fi
 IGCM_sys_MkdirArchive ${NEW_R_SAVE}
+
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
 
 #DEFINE NEW_R_DODS
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 435)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 436)
@@ -229,4 +229,10 @@
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
+
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 #
 if [ ${RebuildFromArchive} = true ] ; then
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 435)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 436)
@@ -229,4 +229,10 @@
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
+
+# ------------------------------------------------------------------
+# Test if all was right before proceeding further
+# ------------------------------------------------------------------
+IGCM_debug_Verif_Exit_Post
+
 #
 if [ ${RebuildFromArchive} = true ] ; then